Jump to content
Дизайн и модификация IPS Community IPBSkinsBETA
Search In
  • More options...
Find results that contain...
Find results in...
Sign in to follow this  
pampa

Скин IBR Light Style для 2.1.7 + Блоги ?

Recommended Posts

Уважаемая Fisana!

 

Очень нравится скин IBR Light Style.

Проблема в том, что использую версию 2.1.7, но с блогами.

Как я понимаю, существует скин с блогами только для 2.2. ((

Можно ли купить подобный для 2.1., если таковой есть?

 

Сайт (пока наполняется материалами) можно посмотреть здесь:

 

www.myslei.net

 

С уважением и самыми наилучшими пожеланиями,

 

Игорь.

 

P.S. Мне очень нравится то, что Вы делаете!

Share this post


Link to post
Share on other sites

Скин под 2.1 с шаблонами для блогов. Просто я поленилась тогда кнопки доделать.

 

Скачайте этот скин под 2.2, распакуйте графику (установится, но работать с ней на 2.1 можно только добавив папку со скриптами от 2.1).

Увидите графику для блогов...

Если чего-то не хватит, добавьте из старой папки.

 

Спасибо.

Share this post


Link to post
Share on other sites
Скин под 2.1 с шаблонами для блогов. Просто я поленилась тогда кнопки доделать.

 

Скачайте этот скин под 2.2, распакуйте графику (установится, но работать с ней на 2.1 можно только добавив папку со скриптами от 2.1).

Увидите графику для блогов...

Если чего-то не хватит, добавьте из старой папки.

 

Спасибо.

 

 

Уважаемая Fisana!

Поражен столь быстрым и доброжелательным ответом. Спасибо!

 

 

Правильно ли я понял, что мне надо импортировать шаблон из папки для 2.1 и графику - из папки для 2.2? А если не хватит, как "добавить из старой папки"?

Извините за наивность вопроса, я новичок в IPB.

 

Еще раз благодарю.

 

С уважением,

Игорь.

 

 

P.S

 

Пока поставить не удается - менеджер сообщает об ошибке:

 

При попытке импорта XML-архива с шаблоном:

IPB Предупреждение [2] move_uploaded_file(/home/myslei/public_html/forum/uploads/ipb_skin-light.xml) [function.move-uploaded-file]: failed to open stream: Permission denied (Строка: 490 файла /sources/lib/admin_functions.php)

IPB Предупреждение [2] move_uploaded_file() [function.move-uploaded-file]: Unable to move '/tmp/phpU9QhEJ' to '/home/myslei/public_html/forum/uploads/ipb_skin-light.xml' (Строка: 490 файла /sources/lib/admin_functions.php)

 

При попытке импорта XML-архива с изображением:

IPB Предупреждение [2] move_uploaded_file(/home/myslei/public_html/forum/uploads/ipb_images-light.xml) [function.move-uploaded-file]: failed to open stream: Permission denied (Строка: 490 файла /sources/lib/admin_functions.php)

IPB Предупреждение [2] move_uploaded_file() [function.move-uploaded-file]: Unable to move '/tmp/php5yDnVG' to '/home/myslei/public_html/forum/uploads/ipb_images-light.xml' (Строка: 490 файла /sources/lib/admin_functions.php)

 

По этому поводу буду писать на форум IPB - у меня легально купленная версия 2.1.7.

 

И.

Share this post


Link to post
Share on other sites

Выставьте chmod 777 на папки skin_cache и upload

Когда все получится, не забудьте, что вам нужна от новой версии только графика.

В папке графики есть другие, в том числе и со скриптами. Они не годятся для несоответствующей версии.

Не забудьте добавить папку с графикой для редактора и папку со скриптом.

Share this post


Link to post
Share on other sites
Выставьте chmod 777 на папки skin_cache и upload

Когда все получится, не забудьте, что вам нужна от новой версии только графика.

В папке графики есть другие, в том числе и со скриптами. Они не годятся для несоответствующей версии.

Не забудьте добавить папку с графикой для редактора и папку со скриптом.

 

Уважаемая Fisana!

 

Понял, что лучше признаться в своей безграмотности и еще раз обратиться к Вам за помощью.

Простите, но у меня ничего не получается.

Делаю все в соответствии с указаниями по установке шаблонов.

Беру файл ipb_skin-light.xml из архива для 2.1.7, файл ipb_images-light.xml из архива для 2.2.0.

После установки - полная ерунда, сообщения об ошибках и пр.

Я не понимаю Вашу фразу:

 

Не забудьте добавить папку с графикой для редактора и папку со скриптом.

 

Помогите, пожалуйста!

 

С уважением,

Игорь.

Share this post


Link to post
Share on other sites

Имелось ввиду распаковать архив в 2.2 и заменить картинки (добавить) в папку с картинками от 2.1.7.

 

p.s. сhmod должен быть также 777 и на папку ./style_images/

Share this post


Link to post
Share on other sites
Имелось ввиду распаковать архив в 2.2 и заменить картинки (добавить) в папку с картинками от 2.1.7.

 

p.s. сhmod должен быть также 777 и на папку ./style_images/

В архивах только по два файла + psd.

Как заменить (добавить) в папку с картинками? Я могу только подключить ipb_images-light.xml через панель администратора. Или мы говорим о разных архивах?

Share this post


Link to post
Share on other sites

А тестового форума дома Вы не держите?

Да, распаковать надо через админпанель и установить, а затем переложить нужную графику в папку картинок скина от 2.1. Но на хостинге это делать крайне неудобно и опасно.

Поэтому каждый владелец форума устанавливает дома Денвер и тренируется там.

Если не справитесь, вышлю картинки почтой.

Вот уж не думала, что такая простая операция выльется в проблему.

Share this post


Link to post
Share on other sites
Вот уж не думала, что такая простая операция выльется в проблему.

 

(((

 

1.Распаковал в две папки:

 

/light1182765486

/light22 - (предварительно переименовал файл .xml для своего удобства)

 

2. Перенес в папку /light1182765486

 

следующие папки:

- /folder_attach_images

- /folder_editor_images

- folder_profile_portal (на всякий случай)

- folder_topic_view (на всякий случай)

 

и недостающие файлы.

 

3. Все работает, просматриваю форум и блоги в новом скине.

4. После выхода из блогов на форум:

 

белый экран и сообщение:

 

Fatal error: Class 'ppi_Backup 2 of blogs' not found in /home/myslei/public_html/forum/sources/action_public/portal.php on line 242

 

после этого вход на форум с главной страницы сайта не возможен - то же сообщение об ошибке.

Share this post


Link to post
Share on other sites

Папки в скин от 2.1 переносить было не надо.

Нужно было перенести только кнопки и все :)

Share this post


Link to post
Share on other sites
Папки в скин от 2.1 переносить было не надо.

Нужно было перенести только кнопки и все :)

 

:)

Еще раз проделал всю процедуру.

Перенес только кнопки.

 

Как только делаю стиль доступным, получаю:

Fatal error: Class 'ppi_Backup 2 of blogs' not found in /home/myslei/public_html/forum/sources/action_public/portal.php on line 242

 

Может это быть связано стем, что первая главная страница форума - портал?

Share this post


Link to post
Share on other sites

А как со стандартным скином? Ошибок нет?

Share this post


Link to post
Share on other sites
А как со стандартным скином? Ошибок нет?

 

без проблем:

 

www.myslei.net/forum

 

сейчас доступен только стандартный скин

Share this post


Link to post
Share on other sites

Попробуйте найти в скине шаблон от блог - портала и обратить его к дефолту.

Через админцентр.

Share this post


Link to post
Share on other sites
Попробуйте найти в скине шаблон от блог - портала и обратить его к дефолту.

Через админцентр.

 

Не понимаю, как это сделать, сорри.

 

Думаю, проблема в другом - та же ошибка при установке любого скина, в том числе изначально содержащего блоги.

Отправил запрос в службу поддержки IPB.

Давайте подождем их ответа.

 

Я благодарен Вам за столь внимательное отношение.

К сожалению, сейчас это большая редкость.

Спасибо.

 

С уважением,

Игорь.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...